#!/bin/sh

cd /home/r/tmp

S_EXPR=""

if [ "$1" = "--repl" ]; then
    ACTION="--repl"
else
    S_EXPR="(do (require 'swank.swank)\
                (require 'rlm.rlm-commands)\
                (swank.swank/start-repl 4005 ))"
    ACTION=" -e "
fi

java \
\
`: # java VM options`\
-verbose:gc \
-Xmn500M \
-Xms2000M \
-Xmx2000M \
-server \
\
`: # classpath contains all of my projects.`\
-cp \
\
`: # my own projects`\
/home/r/proj/rlm/src:\
/home/r/proj/curry/src:\
/home/r/java/lib/*:\
/home/r/proj/aurellem/src:\
/home/r/proj/pokemon-types/src:\
/home/r/proj/cortex/src:\
/home/r/proj/cortex/assets:\
/home/r/proj/abomination/src:\
/home/r/proj/abomination/classes:\
/home/r/proj/coderloop/src:\
\
`: # libraries`\
/home/r/java/incanter/*:\
/home/r/java/enlive/src:\
/home/r/java/lp_solve-5.5/lib/lpsolve55j.jar:\
/home/r/proj/jMonkeyEngine3/dist/jMonkeyEngine3.jar:\
/home/r/proj/jMonkeyEngine3/dist/lib/*:\
\
\
`: # interfacing with C libraries`\
 -Djava.library.path=\
/home/r/java/lp_solve-5.5/lpsolve55/bin/ux64:\
/home/r/java/lp_solve-5.5-java/lib/ux64\
\
`: # start the repl for clojure`\
\
 clojure.main ${ACTION} "${S_EXPR}"

